<?php
/*
 * Class to create database connection...
 * @Author: Suraj Roy
 * @Date:   30 Aug 2016
 * @Source url: https://jsonworld.com
 * @Topic : CRUD operations using Angularjs, PHP & mysql.
 */        


class DATABASE {
    private $dbHost     = 'localhost';
    private $dbUsername = 'root';
    private $dbPassword = 'root';
    private $dbName     = 'demo_angularjs_php';
    public $db;
    
    /*
     * Db connection...
     */
    public function __construct(){
        $this->conn = mysqli_connect($this->dbHost,$this->dbUsername,$this->dbPassword,$this->dbName);
        if (mysqli_connect_errno()){
            echo "Failed to connect to MySQL: " . mysqli_connect_error();
        }                
    }
    
    /*
     * @fetching data from db books table
     */
    public function getRows($table,$conditions = array()){
        $rows = [];
        $sql = "SELECT * FROM books";
        $result=mysqli_query($this->conn,$sql) or die(mysqli_error($this->conn));
        while($row=mysqli_fetch_object($result)){
            $rows[] = $row; 
        }              
        return !empty($rows)?$rows:false;
    }
    
    /*
     * Insert data into the database
     */
    public function add_book($book_id,$book_name,$author){
        if(!empty($book_name)){

            $sql = "INSERT INTO  books SET book_id='$book_id',book_name='$book_name',author='$author'";
            $res = mysqli_query($this->conn,$sql) or die(mysqli_error($this->conn));
            
            if($res){
                $book_id = mysqli_insert_id($this->conn);
                return $book_id;
            }else{
                return false;
            }
        }else{
            return false;
        }
    }
    
    /*
     * Update data into the database...
     */
    public function update($book_id,$book_name,$author,$id){
        if(!empty($id)){
            $sql = "UPDATE books SET book_id='$book_id',book_name='$book_name',author='$author' WHERE id='$id'"; //,,email='$email',
            $query = mysqli_query($this->conn,$sql);
            $row = mysqli_affected_rows($this->conn);
            return $query?$row:false;
        }else{
            return false;
        }
    }
    
    /*
     * Delete data from the database
     * @param string name of the table
     * @param array where condition on deleting data
     */
    public function delete($id){
        $sql = "DELETE FROM books WHERE id='$id'";
        $del=mysqli_query($this->conn,$sql) or die(mysqli_error($this->conn));        
        return $del?$del:false;
    }
}
